Google Recommends Updating WordPress to Avoid Hacking

Jun 20, 2011

No Comments

Google has begun notifying website owners that have outdated versions of the WordPress blogging and content management software on their sites.

Here is the email they’re sending out:

Your site appears to be running an older version of WordPress. Google recommends that you update to the latest release. Older or unpatched software may be vulnerable to hacking or malware that can hurt your users. To download the latest release, visit the WordPress download page.

If you have any additional questions about why you are receiving this message, Google has provided more background information in a blog post about this subject.

Best wishes,
Google Search Quality Team

They announced this in 2009, but this is the first round of emails they’ve actually sent out.

Why Updating Matters (And How an Old Version Can Hurt You)

There are plenty of good reasons to update (new features, less bugs, less headache) your WordPress install. But updating isn’t just about getting the good stuff, it’s about avoiding the bad stuff (hacking, malware, lower search results, ticked off customers, etc).

What website owner wants to rank lower in the search engines, or give their customers malware, or have their website hacked to link to unsavory websites and products? These are real problems that have real consequences.

Update Your WordPress Website Today

Updating your website isn’t something worth putting off. It takes just as much time and effort to update your WordPress version tomorrow as it does today.

We are full service WordPress consultants and can help you get updated to the latest version, in addition to any other upgrades, features, and design work you need done. We do custom WordPress programming every day and can help you with your WordPress site.

Trackback URI  |  Comments RSS

Leave a Reply